# -*- mode: yaml; indent-tabs-mode: nil; tab-width: 2; coding: utf-8-unix -*-
---

- name: "dns-socat.yml"
  debug:
    verbosity: 1
    msg: "dns-socat.yml PROXY_DNS_PROXY={{PROXY_DNS_PROXY}}"

- assert:
    that: "'{{PROXY_DNS_PROXY}}' in ['socat']"

- name: /usr/local/bin/proxy_dns_forward.bash
  shell: |
    netstat -nlpe4 | grep -q 127.0.0.1:53 || \
      echo WARN: run /usr/local/bin/proxy_dns_forward.bash
